X2Go dev team | 22 Jul 11:14 2013

x2gothinclient.git - wheezy-tce (branch) updated: 1.0.1.8-110-g1df5f43

The branch, wheezy-tce has been updated
       via  1df5f432f223a8816d22a8ee491eaffed020f870 (commit)
      from  6cbe83c867d60bae52823c9a784c515064337a6e (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
-----------------------------------------------------------------------

Summary of changes:
 debian/changelog                                   |    2 ++
 .../sbin/x2gothinclient_create                     |    4 ++--
 2 files changed, 4 insertions(+), 2 deletions(-)

The diff of changes is:
diff --git a/debian/changelog b/debian/changelog
index 9c65d6d..f3c0639 100644
--- a/debian/changelog
+++ b/debian/changelog
 <at>  <at>  -63,6 +63,8  <at>  <at>  x2gothinclient (1.0.99.1-0~x2go1) UNRELEASED; urgency=low
     - Unmount /proc, /sys and /dev/pts before doing x2gothinclient_cleanup.
     - Add README.qemu that explains how to test the X2Go TCE with qemu.
       (Fixes: #115).
+    - Fix code that turns absolute symlinks into relative symlink for /vmlinuz
+      and /initrd.img.
   * /debian/control:
     + Maintainer change in package: X2Go Developers <x2go-dev@...>.
     + Priority: optional.
diff --git a/x2gothinclientmanagement/sbin/x2gothinclient_create b/x2gothinclientmanagement/sbin/x2gothinclient_create
index b19a9ac..d2fa78d 100755
--- a/x2gothinclientmanagement/sbin/x2gothinclient_create
+++ b/x2gothinclientmanagement/sbin/x2gothinclient_create
 <at>  <at>  -158,9 +158,9  <at>  <at>  export X2GO_HANDLE_DAEMONS=false
 [ \$? -eq 0 ] && apt-get install syslinux locales -y
 [ \$? -eq 0 ] && dpkg-reconfigure locales
 [ \$? -eq 0 ] && apt-get install linux-image-486 -y
-[ \$? -eq 0 ] && test -e /vmlinuz && mv /vmlinuz /vmlinuz.486.tmp || true
+[ \$? -eq 0 ] && test -h /vmlinuz && mv /vmlinuz /vmlinuz.486.tmp || true
 [ \$? -eq 0 ] && LINK_TARGET=\$(readlink /vmlinuz.486.tmp | sed 's <at> /boot <at> boot <at> ') && ln -sf \$LINK_TARGET
/vmlinuz.486 && rm -f /vmlinuz.486.tmp
-[ \$? -eq 0 ] && test -e /vmlinuz && mv /initrd.img /initrd.img.486.tmp || true
+[ \$? -eq 0 ] && test -h /initrd.img && mv /initrd.img /initrd.img.486.tmp || true
 [ \$? -eq 0 ] && LINK_TARGET=\$(readlink /initrd.img.486.tmp | sed 's <at> /boot <at> boot <at> ') && ln -sf
\$LINK_TARGET /initrd.img.486 && rm -f /initrd.img.486.tmp

 [ \$? -eq 0 ] && apt-get install alsa-base pulseaudio -y

hooks/post-receive

Gmane